be.fgov.ehealth.dics.protocol.v5

## Class DeviceType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.DeviceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:32:36+02:00",
                 comments="JAXB RI v2.3.7")
      public class DeviceType
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="EdqmCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="EdqmDefinition" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getEdqmCode()` Gets the value of the edqmCode property.
    `String` | `getEdqmDefinition()` Gets the value of the edqmDefinition property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setEdqmCode(String value)` Sets the value of the edqmCode property.
    `void` | `setEdqmDefinition(String value)` Sets the value of the edqmDefinition property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceType

          public DeviceType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getEdqmCode

          public String getEdqmCode()

      Gets the value of the edqmCode property.
      Returns:
        possible object is `String`

    - #### setEdqmCode

          public void setEdqmCode(String value)

      Sets the value of the edqmCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEdqmDefinition

          public String getEdqmDefinition()

      Gets the value of the edqmDefinition property.
      Returns:
        possible object is `String`

    - #### setEdqmDefinition

          public void setEdqmDefinition(String value)

      Sets the value of the edqmDefinition property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.